summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2011-07-24 17:34:49 +0400
committerIgor Pashev <pashev.igor@gmail.com>2011-07-24 17:34:49 +0400
commit8891a52f9620319ed0d6add74a8837c6b03460a2 (patch)
tree79daec5664440ae30f224ce53322b49471ec36d6
parentc9b215de36dde7b12cb7d64373be6f5dbe79bbbe (diff)
downloadebuilds-8891a52f9620319ed0d6add74a8837c6b03460a2.tar.gz
Added open-axiom-1.4.1.ebuild
-rw-r--r--sci-mathematics/open-axiom/Manifest2
-rw-r--r--sci-mathematics/open-axiom/open-axiom-1.4.1.ebuild77
2 files changed, 79 insertions, 0 deletions
diff --git a/sci-mathematics/open-axiom/Manifest b/sci-mathematics/open-axiom/Manifest
index e2eb753..2c60e29 100644
--- a/sci-mathematics/open-axiom/Manifest
+++ b/sci-mathematics/open-axiom/Manifest
@@ -1,3 +1,5 @@
AUX open-axiom.png 59273 RMD160 6e5ada74de8fcac8f939320b68e1b8cbf554dbc5 SHA1 037aac8d6f21ce84615a8b48cec7f10fbe639749 SHA256 2c69fbf1f9c22bf2231c1d0d4caf750e957a7b2bd139185c70df27ffbd322e85
AUX open-axiom.xcf 188198 RMD160 d1ca7e7b3115caca158d2af28f7002560984e123 SHA1 810f5a639529972c2b321ab15c4d48a0dd5f71ad SHA256 53f5efeab237754b8526e8bcd5c2c2ef2def0773cd2cab1976fd9a60a4fe6f3d
+DIST open-axiom-1.4.1.tar.bz2 10023493 RMD160 172f21ce6bfde933a51e0fdfdeae19617a611d1e SHA1 52a6791c31125507f33b48d4ea38e7a9c7918cb5 SHA256 552c9dbafe6ea147e13cc11be7c11363357fc1a02ce94b44faa22c035a7c1507
+EBUILD open-axiom-1.4.1.ebuild 1477 RMD160 7308e1ead5832fc099d09a90aac1b649017fab09 SHA1 6bea81092f1a2dac4b11ef751354a98415addc2c SHA256 96aa0e1df0368f68f8e07102c7374e680d0c75107bd3b16d058c8b39632f98e4
EBUILD open-axiom-9999.ebuild 1565 RMD160 2016a2bfa1ba2809d3f6d0cd700efdd98b88e8c8 SHA1 79806cea77f0d1cd93cbe92f26ac58e0d1d05ff4 SHA256 3251925c3cc9bfb91c80745cbac23886cb8ab0034e6767db15971600d540a6f1
diff --git a/sci-mathematics/open-axiom/open-axiom-1.4.1.ebuild b/sci-mathematics/open-axiom/open-axiom-1.4.1.ebuild
new file mode 100644
index 0000000..758c2e0
--- /dev/null
+++ b/sci-mathematics/open-axiom/open-axiom-1.4.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+inherit eutils
+
+DESCRIPTION="The open computer algebra system (Axiom fork)"
+HOMEPAGE="http://open-axiom.org"
+SRC_URI="http://sourceforge.net/projects/${PN}/files/${PV}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+LISPS='sbcl clisp ecls clozurecl'
+REQUIRED_USE="^^ ( $LISPS )"
+
+# The first lisp is default
+IUSE="X threads +$LISPS"
+
+
+
+RDEPEND="X? ( x11-libs/libXpm
+x11-libs/libXau
+x11-libs/libSM
+x11-libs/libxcb
+x11-libs/libXdmcp
+x11-libs/libICE )"
+
+DEPEND="${RDEPEND}
+app-text/noweb
+sbcl? ( >=dev-lisp/sbcl-1.0.22 !=dev-lisp/sbcl-1.0.29 )
+clisp? ( >=dev-lisp/clisp-1.44 )
+ecls? ( >=dev-lisp/ecls-11.1.1 )
+clozurecl? ( >=dev-lisp/clozurecl-1.3 )"
+
+
+
+src_configure() {
+ local l lisp;
+ for l in $LISPS; do
+ use $l && break;
+ done
+
+ case $l in
+ clozurecl) lisp=ccl;;
+ ecls) lisp=ecl;;
+ *) lisp=$l;;
+ esac
+
+ econf \
+ $(use_with X x) \
+ --disable-gcl \
+ --with-lisp=$lisp \
+ --with-gnu-ld \
+ $(use_enable threads threads) \
+ || die "econf failed"
+}
+
+src_compile() {
+ # Parallel make broken
+ emake -j1 || die "emake failed"
+
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc ChangeLog* NEWS README AUTHORS MAINTAINERS TODO STYLES INSTALL
+ doicon ${FILESDIR}/open-axiom.png
+ make_desktop_entry \
+ open-axiom \
+ OpenAxiom \
+ open-axiom \
+ "" \
+ "Terminal=true"
+}
+